# Created by pyp2rpm-3.3.3
%global pypi_name ukpostcodeparser

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 7
Summary:        UK Postcode parser
Group:          Development/Python
License:        MIT
URL:            https://github.com/hamstah/ukpostcodeparser
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/UkPostcodeParser-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
UK Postcode parser.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
UK Postcode parser.

%prep
%autosetup -n UkPostcodeParser-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ukpostcodeparser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.2-7.mga10
+ Revision: 2239256
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.1.2-6.mga10
+ Revision: 2156227
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.1.2-5.mga10
+ Revision: 2018403
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1822638
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1.1.2-3.mga9
+ Revision: 1774822
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.1.2-2.mga9
+ Revision: 1732438
- Rebuild for python 3.9

* Sat Mar 21 2020 wally <wally> 1.1.2-1.mga9
+ Revision: 1558569
- imported package python-ukpostcodeparser

